kaminari 1.0.0以上だとnum_pagesが使えない

現場で使える Ruby on Rails 5速習実践ガイド

新品価格
¥3,758から
(2019/5/5 15:59時点)


railsぼちぼちやってます
今回はkaminariをv1以上に上げたらエラーはいたのでその対応


github見たら解決策が書いてありました
Removed deprecated num_pages API in favor of total_pages
https://github.com/kaminari/kaminari/releases

なのでnum_pagesをtotal_pagesに変えたら解決
たぶん内部処理が違うんだろうね

関連記事:

Pocket